### Method

# Soup Session send_and_read

#### Declaration [src]

    GBytes*
    soup_session_send_and_read (
      SoupSession* session,
      SoupMessage* msg,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously sends `msg` and reads the response body.

On success, a `GBytes` will be returned with the response body. This function should only be used when the resource to be retrieved is not too long and can be stored in memory.

See `soup_session_send()` for more details on the general semantics.

#### Parameters

`msg`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

A `GBytes`, or `NULL` on error.

The caller of the method takes ownership of the data, and is responsible for freeing it.